The watch button/link should show if the issue is watched by group
Resolution:    

Description

When a user watches an issue because of a group membership and the user does not have the `view_issue_watchers` permission,

the user cannot see that she is watching the issue.

Currently the button link shows:

- "Watch" when the user is not watching the issue or watching via a group

- "Unwatch" when the user is watching the issue

It would be possible to show a third state for the button/link:

- "Watch" when the user is not watching the issue

- "Watched by group" when the user is not watching the issue but is watching the issue via a group

- "Unwatch" when the user is watching the issue

The button/link would toggle between first and third state when the user is not also watching the issue via a group, and between

second and third state when the user is also watching via a group.

Related issues:

Related to Redmine - Feature #4511: Allow adding user groups as watchers for ... Closed 2010-01-01

History

#1 - 2024-03-15 22:27 - Felix Schäfer

It might also be considered to always show the watchers list in the issue sidebar, and only show content the current user is allowed to see.

It should then be decided if the list should for example also show the groups watching the issue the user is in. I am not sure however if the name of a

group a user is in is always visible to the user, this should be considered before implementing such a feature.

#2 - 2024-04-28 11:27 - Marius BĂLTEANU

- Related to Feature #4511: Allow adding user groups as watchers for issues added

#3 - 2024-04-28 11:33 - Marius BĂLTEANU

- Target version set to 6.0.0

Lets discuss this for 6.0.0, we should show at least the "Watched by group" state.

#4 - 2024-11-10 22:01 - Marius BĂLTEANU

- Target version changed from 6.0.0 to 6.1.0

I'm postponing this for 6.1.0.
